#include "repiferonativo.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo ReptilNativo
* @param  output - stream de saida
*         repnat - Objeto do tipo ReptilNativo
*
*/

std::ostream& operator<< (std::ostream &output, ReptilNativo const &repnat) {
	output << repnat.id >> ";" << repnat.classe << ";" << repnat.nome << ";" << repnat.cientifico << ";" <<
	 	repnat.sexo << ";" << repnat.tamanho << ";" << repnat.dieta << ";" << repnat.batismo  << ";" << repnat.veterinario
     << ";" << repnat.tratador << ";" << repnat.isPoisonous<< ";"  << repnat.poison_type << ";" << repnat.ibama << ";"
     << repnat.uf_origem << ";" << repnat.autorizacao;

	return output;

	}

  /**
  * @brief Construtor cria um animal do tipo ReptilNativo, que toma Reptil, AnimalSilvestre
  *        e AnimalNativo como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, isPoisonous - estado do animal em relação ao veneno,
  *         poison_type - tipo do veneno, biernr - ibama, origin_state - estado de origem do animal,
  *         authorization - autorização do animal
  */
ReptilNativo(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario vet, Tratador caretaker,bool isPoisonous,
        string poison_type, biernr, string origin_state, string authorization):

        Reptil(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, isPoisonous, poison_type),
        AnimalSilvestre(biernr),
        AnimalNativo(origin_state, authorization)
        {}
}
